Name:           dumpet
Version:        2.1
Release:    2%{?dist}
Summary:        A tool to dump and debug bootable CD images
License:        GPLv2+
URL:            https://fedorahosted.org/dumpet/
BuildRequires:  gcc
BuildRequires:  popt-devel pkgconfig libxml2-devel git
BuildRequires: make

Source0:        https://fedorahosted.org/releases/d/u/dumpet/dumpet-%{version}.tar.bz2
Patch0001: 0001-Manually-tell-it-we-ve-got-64-bit-files-because-32-b.patch

%description
DumpET is a utility to aid in the debugging of bootable CD-ROM images.

%prep
%setup -q
git init
git config user.email "%{name}-owner@opencloudos.org"
git config user.name "OpenCloudOS"
git add .
git commit -a -q -m "%{version} baseline."
git am %{patches} </dev/null

%build
make %{?_smp_mflags} CFLAGS="%{optflags} $(pkg-config --cflags libxml-2.0)"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
make DESTDIR=%{buildroot} install

%files
%doc README TODO COPYING
%attr(644,root,root) %{_mandir}/man1/dumpet.1*
%{_bindir}/dumpet

%changelog
* Wed May 08 2024 Fanjun Kong <fanjunkong@tencent.com> - 2.1-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.1-1
- initial build
